Nuxeo Automation client 5.5 bad class major version

My project is Java 5 compliant. I am using Nuxeo Automation client 5.5 jar which is compiled with jdk 6.

I get the following exception:

java.lang.UnsupportedClassVersionError: (org/nuxeo/ecm/automation/client/model/Document) bad major version at offset=6
at java.lang.ClassLoader.defineClassImpl(Native Method)
at java.lang.ClassLoader.defineClass(
at java.lang.ClassLoader.loadClass(
at java.lang.J9VMInternals.verifyImpl(Native Method)
at java.lang.J9VMInternals.verify(
at java.lang.J9VMInternals.initialize(

Please help. Either I make my project Java 6 compliant (which I can't) or use a Nuxeo Automation Client jar compiled with jdk 5. Can i get a jar compiled with jdk 5?

I am stuck. Please help me solve my issue.

0 votes

1 answers



We do not support Java 5, which is getting quite old, for the server or the client parts. You should try to recompile the client parts (Nuxeo Automation client) under a JDK 5, but I can't promise it will work as we haven't tried it. There should be no major obstacles though.

1 votes

Thankyou florent for the response..

The jar available to me only have the .class files. i need to recompile it with java 5.

how can i get the source code of nuxeo automation client 5.5?


I would say that:

  • checkout sources here
  • go to the nuxeo-automation/nuxeo-automation-client directory
  • change the pom.xml to unforced the java 5 compilation

Hope this will work. Maybe the dependency will brings other problems.